#' Relationship quality and sexual satisfaction of 121 couples
#'
#'A dataset containing 9 observed indicators of relationship quality (PRQC)
#'and 5 observed indicators of sexual satisfaction from 121 couples
#'in the DRES (Daily Relationship Experiences Study; Raposo, Impett, & Muise, in press)
#'
#' @docType data
#'
#' @usage data(DRES)
#'
#' @format A data frame with 121 rows and 28 variables:
#' \describe{
#'  \item{PRQC_1.1}{PRQC item 1 for partner 1}
#'  \item{PRQC_2.1}{PRQC item 2 for partner 1}
#'  \item{PRQC_3.1}{PRQC item 3 for partner 1}
#'  \item{PRQC_4.1}{PRQC item 4 for partner 1}
#'  \item{PRQC_5.1}{PRQC item 5 for partner 1}
#'  \item{PRQC_6.1}{PRQC item 6 for partner 1}
#'  \item{PRQC_7.1}{PRQC item 7 for partner 1}
#'  \item{PRQC_8.1}{PRQC item 8 for partner 1}
#'  \item{PRQC_9.1}{PRQC item 9 for partner 1}
#'  \item{PRQC_1.2}{PRQC item 1 for partner 2}
#'  \item{PRQC_2.2}{PRQC item 2 for partner 2}
#'  \item{PRQC_3.2}{PRQC item 3 for partner 2}
#'  \item{PRQC_4.2}{PRQC item 4 for partner 2}
#'  \item{PRQC_5.2}{PRQC item 5 for partner 2}
#'  \item{PRQC_6.2}{PRQC item 6 for partner 2}
#'  \item{PRQC_7.2}{PRQC item 7 for partner 2}
#'  \item{PRQC_8.2}{PRQC item 8 for partner 2}
#'  \item{PRQC_9.2}{PRQC item 9 for partner 2}
#'  \item{sexsat1.1}{sexual satisfaction item 1 for partner 1}
#'  \item{sexsat2.1}{sexual satisfaction item 2 for partner 1}
#'  \item{sexsat3.1}{sexual satisfaction item 3 for partner 1}
#'  \item{sexsat4.1}{sexual satisfaction item 4 for partner 1}
#'  \item{sexsat5.1}{sexual satisfaction item 5 for partner 1}
#'  \item{sexsat1.2}{sexual satisfaction item 1 for partner 2}
#'  \item{sexsat2.2}{sexual satisfaction item 2 for partner 2}
#'  \item{sexsat3.2}{sexual satisfaction item 3 for partner 2}
#'  \item{sexsat4.2}{sexual satisfaction item 4 for partner 2}
#'  \item{sexsat5.2}{sexual satisfaction item 5 for partner 2}
#' }
#'
#'@references Raposo, S., Impett, E. A., & Muise, A. (2020). Avoidantly Attached Individuals Are More Exchange‐Oriented and Less Communal in the Bedroom. *Archives of Sexual Behavior*, *49*, 2863–2881. https://doi.org/10.1007/s10508-020-01813-9
#'
#'
"DRES"
